Loading...
Searching...
No Matches
ZyanAllocator_ Struct Reference

`#include <Allocator.h>`

Collaboration diagram for ZyanAllocator_:
[legend]

## Public Attributes

ZyanAllocatorAllocate | allocate
ZyanAllocatorAllocate | reallocate
ZyanAllocatorDeallocate | deallocate

## Detailed Description

Defines the ZyanAllocator struct.

This is the base class for all custom allocator implementations.

All fields in this struct should be considered as "private". Any changes may lead to unexpected behavior.

## Member Data Documentation

## allocate

ZyanAllocatorAllocate ZyanAllocator_::allocate

The allocate function.

## deallocate

ZyanAllocatorDeallocate ZyanAllocator_::deallocate

The deallocate function.

## reallocate

ZyanAllocatorAllocate ZyanAllocator_::reallocate

The reallocate function.

The documentation for this struct was generated from the following file:

- include/Zycore/Allocator.h